Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

QueryBareMetal2ChassisPciDevice

QueryBareMetal2ChassisPciDevice

GET/zstack/v1/baremetal2/chassis/pci-device/pci-devices
GET/zstack/v1/baremetal2/chassis/pci-device/pci-devices/{uuid}

Operation ID

QueryBareMetal2ChassisPciDevice

Since

5.1.8

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The detailed description of the resource.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • chassisUuid
      StringRequired

      The chassis UUID.

    • description
      StringRequired

      The resource description.

    • type
      StringRequired

      The resource type.

    • pciDeviceAddress
      StringRequired

      The PCI device address.

    • vendorId
      StringRequired

      The vendor ID.

    • deviceId
      StringRequired

      The device ID.

    • subvendorId
      StringRequired

      The subvendor ID.

    • subdeviceId
      StringRequired

      The subdevice ID.

    • iommuGroup
      StringRequired

      The iommu group.

    • name
      StringRequired

      The resource name.

    • vendor
      StringRequired

      The vendor.

    • device
      StringRequired

      The device.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.